/*
Theme Name:   Website Theme
Theme URI:    
Description:  
Author:       
Author URI:   
Template:     bricks
Version:      1.1
Text Domain:  bricks
*/

/* * * * * * * * * * * * * * * * * * * * *
* Website Deark Light Mode Style Start
* */
html.dark_mode:root {
	--bricks-color-white: #242424 !important;
	--bricks-color-color1: #2c2c2c !important;
	--bricks-color-color2: #3d3d3e !important;
	--bricks-color-color3: #ececec !important;
	--bricks-color-color5: #747474 !important;
	--bricks-color-dark: #f1e9e9 !important;
}


/* * * * * * * * * * * * * * * * * * * * 
* Bricks Builder Elements CSS
* */
.brx-popup-content{
	padding: 0 !important;
    background-color: var(--bricks-color-white);
    min-height: 200px;
}


/* * * * * * * * * * * * * * * * * * * * * * * * *
* Header Dark Light Mode Toggle Style Start
* */
html.dark_mode .dark_mode_toggle,
.light_mode_toggle {
	display: none;
}
html.dark_mode .light_mode_toggle {
	display: flex;
}

/* * * * * * * * * * * * * * * * * * * * * * *
* Glass Style Background if Browser Support 
* */
@supports (-webkit-backdrop-filter: blur(1px)) or (backdrop-filter: blur(1px)) {
	.glassBG, header.scrolling {
		background-color: rgba(255, 255, 255, 0.7) !important; 
		-webkit-backdrop-filter: saturate(180%) blur(20px);
		backdrop-filter: saturate(180%) blur(20px);
	}
	.dark_mode .glassBG,
	.dark_mode header.scrolling{
		background-color: rgb(36 36 36 / 70%) !important; 
	}
}


/* * * * * * * * * * * * * * * * * * * * *
* Common CSS
* */
body{font-family: "Albert Sans", sans-serif;}
*:focus {outline: none !important;}
svg{display:flex}
b{font-weight: 600;}strong{font-weight: 700;}
ins{text-decoration: none;}
h1, h2 {line-height: 1.2;}
.button{background:var(--bricks-color-accent);color:var(--bricks-color-color3)}
.button:hover{background:var(--bricks-color-accent2);}
:is(input, select, textarea){background-color: transparent !important;}
:is(input, select, textarea):is(:hover, :focus){background-color: transparent;border-color:var(--bricks-color-color5)}
.input, input:not([type=submit]), select, textarea{line-height: 32px;}
input:where([type="checkbox"], [type="radio"]){accent-color: var(--bricks-color-accent);}
a, button, input, select, textarea, .button, .bricks-button{border-radius: var(--border-radius-s);transition: all ease 0.2s}

/* Custom Scrollbar design */
.srollbar{overflow:auto}.srollbar::-webkit-scrollbar{width:5px;height:4px;right:5px;position:absolute}.srollbar::-webkit-scrollbar-track{text-align:center}.srollbar::-webkit-scrollbar-thumb{background:#c1c1c1;border-radius:10px}

/* Default Page CSS */
#brx-content.wordpress {
	width: 100%;
	max-width: 1100px;
	padding: 30px 10px;
}
#brx-content.wordpress :where(h1, h2, h3, h4, h5, h6) {
	margin-bottom: 15px;
}


/* * * * * * * * * * * * * * * * * * * * * * * 
* Header Area
* */
/* Header Cart */
.cart-icon{
	display: flex;
	align-items: center;
	padding-right: 25px;
}
.cart-icon .cart-count {
	position: absolute;
	background: transparent;
	color: currentColor;
	transform: unset;
	top: -1px;
	right: 0;
	height: 10px;
	min-width: 22px;
	font-size: 0.7em;
}
/*Header Serach Box Style Start*/
.live_search {
	position: relative;
}
.brxe-filter-search svg {
	color: var(--bricks-color-dark);
}
.brxe-filter-search input {
	padding-left: 28px;
}
.live_search .search_icon {
	position: absolute;
	top: 9px;
	left: 8px;
}
/* Header Elements Style Start */
.hDropdown .brx-submenu-toggle button {
	display: none;
}
.hButton,
.hDropdown .brx-submenu-toggle {
	padding: 8px 8px;
	line-height: 1.6em;
}
.hButton:hover,
.hDropdown.brxe-dropdown.open .brx-submenu-toggle,
.hDropdown .brx-submenu-toggle:hover {
	cursor: pointer;
	color: var(--bricks-color-accent);
}
.hDropdown .brx-submenu-toggle span,
.hDropdown .brx-submenu-toggle a {
	display: flex;
	align-items: center;
	flex-direction: row;
	gap: 5px;
}
.hDropdown .brx-dropdown-content {
	margin-top: 3px;
	background: var(--bricks-color-white);
	box-shadow: 0px 6px 10px 0px #00000014;
	border-radius: var(--border-radius-s);
	padding: 5px 5px;
	right: 0;
}
.hDropdown .brx-dropdown-content a {
	display: flex;
	padding: 5px 7px;
	border-radius: var(--border-radius-s);
	align-items: center;
}
.hDropdown .brx-dropdown-content a:hover {
	background: var(--bricks-color-color1);
}
@media (max-width: 767px) {
	.hButton b,
	.hDropdown .brx-submenu-toggle b {
		display: none;
	}
}
/*Header Product Serach Result Elements Style Start*/
._p_l {
	font-weight: 700;
	font-size: 0.8em;
}
._pl_t {
	line-height: 1.2em;
	display: inline-block;
}
._p_l:hover ._pl_t {
	text-decoration: underline;
}
._pl_p ins {
	text-decoration: none;
}
._pl_p del {
	font-size: 0.7em;
	font-weight: 500;
}
._p_l .badge {
	color: var(--bricks-color-accent);
}


/* * * * * * * * * * * * * * * * * * * * * * 
* Product Loop Elements Style Start
* */
.proditem{
	position: relative;
	width: 100%;
}
.proditem .img_block{
	position: relative;
}
.proditem img {
	object-fit: contain;
	aspect-ratio: 4/4;
	border-radius: var(--border-radius-s);
	background: var(--bricks-color-color2);
}
.proditem h5 {
	padding-top: 5px;
	font-weight: 400;
	font-size: 0.9em;
	line-height: 1.2em;
	max-height: 2.8em;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
}
.proditem .pric_sale {
	padding-top: 3px;
	display: flex;
	flex-direction: row;
	font-weight: 700;
	gap: 3px;
}
.proditem ._price{
	font-size: 1rem;
	display: flex;
	gap: 3px;
}
.proditem ._cur {
	font-size: 0.8rem;
}
.proditem .pric_sale ins {
	text-decoration: none;
}
.proditem .pric_sale del {
	font-size: 0.9rem;
	order: 2;
	opacity: 0.5;
}
.proditem .pric_sale .onsale {
	color: var(--bricks-color-accent);
	padding-left: 5px;
}
.proditem .rating_sold{
	display: flex;
	flex-direction: row;
	gap: 10px;
}
.proditem .free_shipping{
	font-size: 0.9em;
	font-weight: bold;
	color: var(--bricks-color-accent);
}
.quick_view {
	position: absolute;
	top: 10px;
	right: 10px;
	width: auto;
	z-index: 1;
	transition: all ease 0.2s;
	opacity: 0;
	flex-direction: column;
	justify-content: center;
	gap: 0.5rem;
}
.proditem:hover .quick_view{
	opacity: 1;
}
.quick_view .brxe-text-link{
	display: block;
	padding:0.4rem 0.5rem;
	border-radius: var(--border-radius-s);
	background: var(--bricks-color-color1);
	line-height: 1em;
	font-size: 0.9em;
	font-weight: 500;
	box-shadow: 0px 0px 4px 0px #0000003d;
}
.quick_view .brxe-text-link:hover{
	background: var(--bricks-color-accent);
	color: var(--bricks-color-color3);
}

/* * * * * * * * * * * * * * * * * * * * * *  
* smart tooltip css
* */
.tt_tooltip {
	background: var(--bricks-color-white);
	color: var(--bricks-color-dark);
	border-radius: var(--border-radius-s);
	box-shadow: 0 4px 12px rgba(0,0,0,0.1);
	line-height: 1.3rem;
	padding: 4px 8px;
	text-align: center;
	position: absolute;
	z-index: 2147483647; 
	max-width: 300px; /* Prevents massive width on small screens */
	pointer-events: none; /* Important: Click-through */
	opacity: 0;
	transition: opacity 0.2s;
	top: -9999px;
	left: -9999px;
}
.tt_tooltip.tt_active {
	opacity: 1;
}


/* * * * * * * * * * * * * * * * * * * * *
* WooCommerce Single Product page CSS
* */
.woocommerce-notices-wrapper {
	margin: 10px auto;
}
:where(.brxe-form) .message .text{
	padding: 0 !important;
}
:where(.brxe-form) .message, .woocommerce-info, .woocommerce-message, .woocommerce-error{
	background-color: rgb(163 163 163 / 8%) !important;
	padding: 10px !important;
	border-width: 1px;
	border-style: solid;
	border-radius: var(--border-radius-s);
	color: unset !important;
}

/* Product gallery */
.woocommerce-product-gallery, .woocommerce-product-gallery a img{
	aspect-ratio: 4/4;
	border-radius: var(--border-radius-s);
}
.brx-thumbnail-slider-wrapper>div {
	min-width: 40px !important;
	max-width: 50px !important;
}
.brx-thumbnail-slider-wrapper img{
	padding: 1px;
}
.flex-direction-nav a{
	z-index: 1 !important;
}
@media (max-width: 478px){
	.thumbnail-slider{
		display: flex!important;
		flex-direction: column !important;
	}
	.flex-direction-nav{
		display:none!important;
	}
	.brx-thumbnail-slider-wrapper {
		transform: none !important;
		display: flex;
		flex-direction: row;
		flex-wrap: nowrap;
	}
	.brx-product-gallery-thumbnail-slider {
		width: 100% !important;
		overflow: hidden !important;
	}
	.brx-product-gallery-thumbnail-slider .flex-viewport {
		overflow-x: auto !important;
		padding-bottom: 4px;
	}
}
/* Product gallery thumb slider fixing */
.brxe-product-gallery {
	align-items: center;
}
.brx-thumbnail-slider-wrapper{
	width: 100% !important;
}

/* Price element */
.prod_price{
	font-size: 1.5rem;
}
.prod_price b{
	font-size: 1.1rem;
	line-height: 1.5rem;
}
.prod_price .amount{
	font-weight: bold;
}
.prod_price ins{
	text-decoration: none;
}

/* * * * * * * * * * * * * * * * * *
* Custom  WooCommerce Variations 
* */
table.variations{
	display: none !important;
}
.swatch-attribute-label{
	color: var(--bricks-color-dark);
	font-weight: 600;
}
.swatch-current-value{
	font-weight: 700;
}
.custom-swatches-wrapper {
	display: flex;
	flex-wrap: wrap;
	gap: 5px;
	margin-bottom: 10px;
}
.custom-swatches-wrapper:last-child{
	margin-bottom: 15px;
}
.variation-swatch {
	min-width: 45px;
	max-width: 150px;
	min-height: 30px;
	border: 1px solid var(--bricks-color-color2);
	border-radius: var(--border-radius-s);
	cursor: pointer;
	transition: all ease 0.2s;
	padding: 2px 5px;
	text-align: center;
	position: relative;
	font-weight: 500;
}
.swatch-name {
	vertical-align: middle;
}
.variation-swatch.has-image{
	padding: 2px;
}
.variation-swatch.has-image img {
	width: 50px;
	height: 50px;
	object-fit: cover;
	border-radius: var(--border-radius-s);
}
.variation-swatch.no-image {
	padding: 5px 7px;
	line-height: 1rem;
}
.variation-swatch:hover {
	border-color: var(--bricks-color-dark);
}
.variation-swatch.has-image .swatch-name, .variation-swatch.has-image .swatch-save-badge{
	display: none;
}
.select_variation_please {
	display: none;
	font-size: 0.9rem;
	opacity: 0.7;
	margin: -7px 0 5px 0;
}
/* Visual style for out-of-stock/disabled swatches */
.variation-swatch.disabled, .variation-swatch.is-sold-out {
	opacity: 0.4;
	pointer-events: none;
	cursor: not-allowed;
	position: relative;
}
.variation-swatch.selected::after {
	content: url("data:image/svg+xml,%3Csvg width='7.5' height='7.5' fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='4 6 16 12'%3E%3Cpath d='m19 7-8.75 10L5 12.454' stroke='%23fff' stroke-width='2.6' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
	position: absolute;
	top: -5px;
	right: -5px;
	background: var(--bricks-color-accent);
	color: var(--bricks-color-color3);
	width: 14px;
	height: 14px;
	border-radius: 50%;
	font-size: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
}
.variation-swatch.selected:hover::after {
	content: '✕';
	content: url("data:image/svg+xml,%3Csvg width='7' height='7' fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='6 6 36 36'%3E%3Cpath d='m8 8 32 32M8 40 40 8' stroke='%23fff' stroke-width='5.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}


/* * * * * * * * * * * * * * * *
* Override woocommerce css
* */
form.cart .woocommerce-variation:not(:empty), form.woocommerce-cart-form .woocommerce-variation:not(:empty) {
	margin-bottom: 0px !important;
}

/* Quantity Element */
.quantity {
	width: 100%;
	max-width: 92px;
	background: transparent;
	border-radius: var(--border-radius-s);
	border: 1px solid var(--bricks-color-color2);
}
.quantity *{
	color: var(--bricks-color-dark) !important;
	stroke: var(--bricks-color-dark) !important;
	font-weight: 600;
	border: none;
}
.quantity .action{width: 30px}
.quantity .action:hover{
	background: var(--bricks-color-color1);
}

/* Add to cart button elements */
.single_add_to_cart_button{margin:0;width:100%;font-size:16px;padding:14px 20px; }
.single_add_to_cart_button .select_options, .single_add_to_cart_button.wc-variation-selection-needed strong{display:none;}
.single_add_to_cart_button.wc-variation-selection-needed .select_options{display: inline-block !important}
.woocommerce-variation-add-to-cart, .single_add_to_cart_button span{
	display: flex ; flex-direction: row; flex-wrap: nowrap; column-gap: 6px; align-items: stretch;
}

/* Added to cart/view cart button */
.added_to_cart {
	width: 35px;
	min-width: 35px;
	text-indent: -9999999999px;
	background: var(--bricks-color-accent) url(data:image/svg+xml,%3Csvg%20width%3D%2218.1%22%20height%3D%2218.1%22%20style%3D%22width%3A1.2em%3Bheight%3A1.2em%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20aria-hidden%3D%22true%22%20fill%3D%22none%22%20viewBox%3D%221.4%200.65%2011.2%2012.7%22%3E%3Cpath%20d%3D%22m2.007%2010.156.387-4.983a1%201%200%200%201%20.997-.923h7.218a1%201%200%200%201%20.997.923l.387%204.983c.11%201.403-1.16%202.594-2.764%202.594H4.771c-1.605%200-2.873-1.19-2.764-2.594%22%20stroke%3D%22%23fff%22%20stroke-width%3D%221.05%22%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22%2F%3E%3Cpath%20d%3D%22M5%203.5c0-1.243.895-2.25%202-2.25S9%202.257%209%203.5V5c0%201.243-.895%202.25-2%202.25S5%206.243%205%205z%22%20stroke%3D%22%23fff%22%20stroke-width%3D%221.05%22%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E) center no-repeat;
}
.added_to_cart:hover{
	background-color: var(--bricks-color-accent2);
}

/* Cart has items block */
.cart-has-items-message{
	padding-top: 10px;
	font-size: 0.9rem;
}
.cart-has-items-message a {
	color: var(--bricks-color-accent);
	display: inline;
	border-bottom: 1px solid currentColor;
	border-radius: 0;
}
.cart-has-items-message a:hover{
	color: var(--bricks-color-accent2);
}

/* Product short and full details */
.product_details code{
	display: none;
}
.product_details ul,
.product_details ol{
	margin:0px 0 10px 0;
	padding-left:16px;
}
.product_details ul:last-child,
.product_details ol:last-child{
	margin-bottom: 0px;
}
.woocommerce-product-details__short-description{
	padding-top: 20px;
}

/* Share Post element */
.copyText,.textCopied{font-size:0.9em;background:var(--bricks-color-white)}.copyTextWrap{position:relative}.copyText{display:flex;align-items:center;padding:3px 5px;border-radius:5px;color:unset;border:1px solid var(--bricks-color-color2)}.textCopied,.textToCopy{display:none}.textCopied{position:absolute;bottom:calc(100% + 5px);left:0;border:1px solid var(--bricks-color-color2);border-radius:var(--border-radius-s);padding:5px;line-height:1em;white-space:nowrap;transition:opacity 1s}.textCopied.show{display:inline-block;animation:1s 2s forwards fadeout}@keyframes fadeout{to{display:none}}

/* Review section */
#reviews .avatar {
	margin-right: 10px;
}


/* * * * * * * * * * * * * * * * * 
* Footer
* */
.flink{
	padding: 2px 0 2px 0;
	font-size: 0.97em;
}
.flink:hover{
	color: var(--bricks-color-accent)
}

/* Form */
.footer_form{
	position: relative;
	max-width: 365px;
}
.footer_form .submit-button-wrapper{
	position: absolute;
	top: 1px;
	right: 0;
	width: 40px;
}
.footer_form .submit-button-wrapper button, .footer_form .form-group input{
	background: transparent !important;
	color: var(--bricks-color-dark) !important
}
.footer_form button{
	border: none;
}